Skip to main content
GET
/
api
/
v2
/
teams
/
{teamKey}
/
maintainers
Get team maintainers
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/teams/{teamKey}/maintainers \
  --header 'Authorization: <api-key>'
{
  "totalCount": 1,
  "items": [
    {
      "_id": "569f183514f4432160000007",
      "_links": {
        "self": {
          "href": "/api/v2/members/569f183514f4432160000007",
          "type": "application/json"
        }
      },
      "email": "ariel@acme.com",
      "firstName": "Ariel",
      "lastName": "Flores",
      "role": "reader"
    }
  ],
  "_links": {
    "self": {
      "href": "/api/v2/teams/example-team/maintainers?limit=20",
      "type": "application/json"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

teamKey
string<string>
required

The team key

Query Parameters

limit
integer<int64>

The number of maintainers to return in the response. Defaults to 20.

offset
integer<int64>

Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

Response

Team maintainers response

totalCount
integer

The number of maintainers of the team

Example:

1

items
object[]

Details on the members that have been assigned as maintainers of the team

Example:
[
{
"_id": "569f183514f4432160000007",
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores",
"role": "reader"
}
]

The location and content type of related resources

Example:
{
"self": {
"href": "/api/v2/teams/example-team/maintainers?limit=20",
"type": "application/json"
}
}